Skip gcc.dg/analyzer/pr94688.c on hppa*64*-*-*
[official-gcc.git] / libphobos / testsuite / Makefile.in
blob885548018baeea8997471889c9c9c12d60c486ee
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
15 @SET_MAKE@
17 # Process this file with automake to produce Makefile.in.
18 VPATH = @srcdir@
19 am__is_gnu_make = { \
20 if test -z '$(MAKELEVEL)'; then \
21 false; \
22 elif test -n '$(MAKE_HOST)'; then \
23 true; \
24 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25 true; \
26 else \
27 false; \
28 fi; \
30 am__make_running_with_option = \
31 case $${target_option-} in \
32 ?) ;; \
33 *) echo "am__make_running_with_option: internal error: invalid" \
34 "target option '$${target_option-}' specified" >&2; \
35 exit 1;; \
36 esac; \
37 has_opt=no; \
38 sane_makeflags=$$MAKEFLAGS; \
39 if $(am__is_gnu_make); then \
40 sane_makeflags=$$MFLAGS; \
41 else \
42 case $$MAKEFLAGS in \
43 *\\[\ \ ]*) \
44 bs=\\; \
45 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
47 esac; \
48 fi; \
49 skip_next=no; \
50 strip_trailopt () \
51 { \
52 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53 }; \
54 for flg in $$sane_makeflags; do \
55 test $$skip_next = yes && { skip_next=no; continue; }; \
56 case $$flg in \
57 *=*|--*) continue;; \
58 -*I) strip_trailopt 'I'; skip_next=yes;; \
59 -*I?*) strip_trailopt 'I';; \
60 -*O) strip_trailopt 'O'; skip_next=yes;; \
61 -*O?*) strip_trailopt 'O';; \
62 -*l) strip_trailopt 'l'; skip_next=yes;; \
63 -*l?*) strip_trailopt 'l';; \
64 -[dEDm]) skip_next=yes;; \
65 -[JT]) skip_next=yes;; \
66 esac; \
67 case $$flg in \
68 *$$target_option*) has_opt=yes; break;; \
69 esac; \
70 done; \
71 test $$has_opt = yes
72 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74 pkgdatadir = $(datadir)/@PACKAGE@
75 pkgincludedir = $(includedir)/@PACKAGE@
76 pkglibdir = $(libdir)/@PACKAGE@
77 pkglibexecdir = $(libexecdir)/@PACKAGE@
78 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79 install_sh_DATA = $(install_sh) -c -m 644
80 install_sh_PROGRAM = $(install_sh) -c
81 install_sh_SCRIPT = $(install_sh) -c
82 INSTALL_HEADER = $(INSTALL_DATA)
83 transform = $(program_transform_name)
84 NORMAL_INSTALL = :
85 PRE_INSTALL = :
86 POST_INSTALL = :
87 NORMAL_UNINSTALL = :
88 PRE_UNINSTALL = :
89 POST_UNINSTALL = :
90 build_triplet = @build@
91 host_triplet = @host@
92 target_triplet = @target@
93 subdir = testsuite
94 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
96 $(top_srcdir)/../config/cet.m4 \
97 $(top_srcdir)/../config/enable.m4 \
98 $(top_srcdir)/../config/lead-dot.m4 \
99 $(top_srcdir)/../config/multi.m4 \
100 $(top_srcdir)/../config/override.m4 \
101 $(top_srcdir)/../config/toolexeclibdir.m4 \
102 $(top_srcdir)/../libtool.m4 $(top_srcdir)/../ltoptions.m4 \
103 $(top_srcdir)/../ltsugar.m4 $(top_srcdir)/../ltversion.m4 \
104 $(top_srcdir)/../lt~obsolete.m4 $(top_srcdir)/acinclude.m4 \
105 $(top_srcdir)/m4/gcc_support.m4 $(top_srcdir)/m4/autoconf.m4 \
106 $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/gdc.m4 \
107 $(top_srcdir)/m4/druntime.m4 $(top_srcdir)/m4/druntime/cpu.m4 \
108 $(top_srcdir)/m4/druntime/os.m4 \
109 $(top_srcdir)/m4/druntime/libraries.m4 \
110 $(top_srcdir)/configure.ac
111 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
112 $(ACLOCAL_M4)
113 DIST_COMMON = $(srcdir)/Makefile.am
114 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
115 CONFIG_HEADER = $(top_builddir)/config.h
116 CONFIG_CLEAN_FILES = testsuite_flags
117 CONFIG_CLEAN_VPATH_FILES =
118 AM_V_P = $(am__v_P_@AM_V@)
119 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
120 am__v_P_0 = false
121 am__v_P_1 = :
122 AM_V_GEN = $(am__v_GEN_@AM_V@)
123 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
124 am__v_GEN_0 = @echo " GEN " $@;
125 am__v_GEN_1 =
126 AM_V_at = $(am__v_at_@AM_V@)
127 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
128 am__v_at_0 = @
129 am__v_at_1 =
130 depcomp =
131 am__depfiles_maybe =
132 SOURCES =
133 am__can_run_installinfo = \
134 case $$AM_UPDATE_INFO_DIR in \
135 n|no|NO) false;; \
136 *) (install-info --version) >/dev/null 2>&1;; \
137 esac
138 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
139 ACLOCAL = @ACLOCAL@
140 AMTAR = @AMTAR@
141 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
142 AR = @AR@
143 AUTOCONF = @AUTOCONF@
144 AUTOHEADER = @AUTOHEADER@
145 AUTOMAKE = @AUTOMAKE@
146 AWK = @AWK@
147 BACKTRACE_SUPPORTED = @BACKTRACE_SUPPORTED@
148 BACKTRACE_SUPPORTS_THREADS = @BACKTRACE_SUPPORTS_THREADS@
149 BACKTRACE_USES_MALLOC = @BACKTRACE_USES_MALLOC@
150 CC = @CC@
151 CCAS = @CCAS@
152 CCASFLAGS = @CCASFLAGS@
153 CC_FOR_BUILD = @CC_FOR_BUILD@
154 CET_DFLAGS = @CET_DFLAGS@
155 CET_FLAGS = @CET_FLAGS@
156 CFLAGS = @CFLAGS@
157 CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
158 CHECKING_DFLAGS = @CHECKING_DFLAGS@
159 CPP = @CPP@
160 CPPFLAGS = @CPPFLAGS@
161 CYGPATH_W = @CYGPATH_W@
162 DCFG_ARM_EABI_UNWINDER = @DCFG_ARM_EABI_UNWINDER@
163 DCFG_DLPI_TLS_MODID = @DCFG_DLPI_TLS_MODID@
164 DCFG_ENABLE_CET = @DCFG_ENABLE_CET@
165 DCFG_HAVE_64BIT_ATOMICS = @DCFG_HAVE_64BIT_ATOMICS@
166 DCFG_HAVE_ATOMIC_BUILTINS = @DCFG_HAVE_ATOMIC_BUILTINS@
167 DCFG_HAVE_LIBATOMIC = @DCFG_HAVE_LIBATOMIC@
168 DCFG_HAVE_QSORT_R = @DCFG_HAVE_QSORT_R@
169 DCFG_MINFO_BRACKETING = @DCFG_MINFO_BRACKETING@
170 DCFG_THREAD_MODEL = @DCFG_THREAD_MODEL@
171 DEFS = @DEFS@
172 DSYMUTIL = @DSYMUTIL@
173 DUMPBIN = @DUMPBIN@
174 ECHO_C = @ECHO_C@
175 ECHO_N = @ECHO_N@
176 ECHO_T = @ECHO_T@
177 EGREP = @EGREP@
178 EXEEXT = @EXEEXT@
179 FGREP = @FGREP@
180 GDC = @GDC@
181 GDCFLAGS = @GDCFLAGS@
182 GREP = @GREP@
183 INSTALL = @INSTALL@
184 INSTALL_DATA = @INSTALL_DATA@
185 INSTALL_PROGRAM = @INSTALL_PROGRAM@
186 INSTALL_SCRIPT = @INSTALL_SCRIPT@
187 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
188 LD = @LD@
189 LDFLAGS = @LDFLAGS@
190 LIBATOMIC = @LIBATOMIC@
191 LIBBACKTRACE = @LIBBACKTRACE@
192 LIBOBJS = @LIBOBJS@
193 LIBS = @LIBS@
194 LIBTOOL = @LIBTOOL@
195 LIBZ = @LIBZ@
196 LIPO = @LIPO@
197 LN_S = @LN_S@
198 LTLIBOBJS = @LTLIBOBJS@
199 MAINT = @MAINT@
200 MAKEINFO = @MAKEINFO@
201 MKDIR_P = @MKDIR_P@
202 NM = @NM@
203 NMEDIT = @NMEDIT@
204 OBJDUMP = @OBJDUMP@
205 OBJEXT = @OBJEXT@
206 OS_LINK_SPEC = @OS_LINK_SPEC@
207 OTOOL = @OTOOL@
208 OTOOL64 = @OTOOL64@
209 PACKAGE = @PACKAGE@
210 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
211 PACKAGE_NAME = @PACKAGE_NAME@
212 PACKAGE_STRING = @PACKAGE_STRING@
213 PACKAGE_TARNAME = @PACKAGE_TARNAME@
214 PACKAGE_URL = @PACKAGE_URL@
215 PACKAGE_VERSION = @PACKAGE_VERSION@
216 PATH_SEPARATOR = @PATH_SEPARATOR@
217 RANLIB = @RANLIB@
218 SECTION_FLAGS = @SECTION_FLAGS@
219 SED = @SED@
220 SET_MAKE = @SET_MAKE@
221 SHELL = @SHELL@
222 SPEC_PHOBOS_DEPS = @SPEC_PHOBOS_DEPS@
223 STRIP = @STRIP@
224 VERSION = @VERSION@
225 WARN_DFLAGS = @WARN_DFLAGS@
226 abs_builddir = @abs_builddir@
227 abs_srcdir = @abs_srcdir@
228 abs_top_builddir = @abs_top_builddir@
229 abs_top_srcdir = @abs_top_srcdir@
230 ac_ct_CC = @ac_ct_CC@
231 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
232 am__leading_dot = @am__leading_dot@
233 am__tar = @am__tar@
234 am__untar = @am__untar@
235 bindir = @bindir@
236 build = @build@
237 build_alias = @build_alias@
238 build_cpu = @build_cpu@
239 build_os = @build_os@
240 build_vendor = @build_vendor@
241 builddir = @builddir@
242 datadir = @datadir@
243 datarootdir = @datarootdir@
244 docdir = @docdir@
245 dvidir = @dvidir@
246 enable_shared = @enable_shared@
247 enable_static = @enable_static@
248 exec_prefix = @exec_prefix@
249 gcc_version = @gcc_version@
250 gdc_include_dir = @gdc_include_dir@
251 get_gcc_base_ver = @get_gcc_base_ver@
252 host = @host@
253 host_alias = @host_alias@
254 host_cpu = @host_cpu@
255 host_os = @host_os@
256 host_vendor = @host_vendor@
257 htmldir = @htmldir@
258 includedir = @includedir@
259 infodir = @infodir@
260 install_sh = @install_sh@
261 libdir = @libdir@
262 libexecdir = @libexecdir@
263 libphobos_builddir = @libphobos_builddir@
264 libphobos_srcdir = @libphobos_srcdir@
265 libphobos_toolexecdir = @libphobos_toolexecdir@
266 libphobos_toolexeclibdir = @libphobos_toolexeclibdir@
267 libtool_VERSION = @libtool_VERSION@
268 localedir = @localedir@
269 localstatedir = @localstatedir@
270 mandir = @mandir@
271 mkdir_p = @mkdir_p@
272 multi_basedir = @multi_basedir@
273 oldincludedir = @oldincludedir@
274 pdfdir = @pdfdir@
275 phobos_compiler_pic_flag = @phobos_compiler_pic_flag@
276 phobos_compiler_shared_flag = @phobos_compiler_shared_flag@
277 phobos_lt_pic_flag = @phobos_lt_pic_flag@
278 prefix = @prefix@
279 program_transform_name = @program_transform_name@
280 psdir = @psdir@
281 sbindir = @sbindir@
282 sharedstatedir = @sharedstatedir@
283 srcdir = @srcdir@
284 sysconfdir = @sysconfdir@
285 target = @target@
286 target_alias = @target_alias@
287 target_cpu = @target_cpu@
288 target_os = @target_os@
289 target_vendor = @target_vendor@
290 top_build_prefix = @top_build_prefix@
291 top_builddir = @top_builddir@
292 top_srcdir = @top_srcdir@
293 AUTOMAKE_OPTIONS = foreign
295 # Setup the testing framework, if you have one
296 EXPECT = $(shell if test -f $(top_builddir)/../expect/expect; then \
297 echo $(top_builddir)/../expect/expect; else echo expect; fi)
299 _RUNTEST = $(shell if test -f $(top_srcdir)/../dejagnu/runtest; then \
300 echo $(top_srcdir)/../dejagnu/runtest; else echo runtest; fi)
302 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
303 PWD_COMMAND = $${PWDCMD-pwd}
304 check_p_subno = $(word 2,$(subst _, ,$*))
305 check_p_numbers0 := 1 2 3 4 5 6 7 8 9
306 check_p_numbers1 := 0 $(check_p_numbers0)
307 check_p_numbers2 := $(foreach i,$(check_p_numbers0),$(addprefix $(i),$(check_p_numbers1)))
308 check_p_numbers3 := $(addprefix 0,$(check_p_numbers1)) $(check_p_numbers2)
309 check_p_numbers4 := $(foreach i,$(check_p_numbers0),$(addprefix $(i),$(check_p_numbers3)))
310 check_p_numbers5 := $(addprefix 0,$(check_p_numbers3)) $(check_p_numbers4)
311 check_p_numbers6 := $(foreach i,$(check_p_numbers0),$(addprefix $(i),$(check_p_numbers5)))
312 check_p_numbers := $(check_p_numbers0) $(check_p_numbers2) $(check_p_numbers4) $(check_p_numbers6)
313 check_p_subdirs = $(wordlist 1,$(if $(GCC_TEST_PARALLEL_SLOTS),$(GCC_TEST_PARALLEL_SLOTS),10),$(check_p_numbers))
314 check_DEJAGNU_libphobos_targets = $(addprefix check-DEJAGNUlibphobos,$(check_p_subdirs))
315 AM_MAKEFLAGS = "EXEEXT=$(EXEEXT)"
316 CLEANFILES = *.exe *.log *.o *.sum site.exp
317 all: all-am
319 .SUFFIXES:
320 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
321 @for dep in $?; do \
322 case '$(am__configure_deps)' in \
323 *$$dep*) \
324 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
325 && { if test -f $@; then exit 0; else break; fi; }; \
326 exit 1;; \
327 esac; \
328 done; \
329 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign --ignore-deps testsuite/Makefile'; \
330 $(am__cd) $(top_srcdir) && \
331 $(AUTOMAKE) --foreign --ignore-deps testsuite/Makefile
332 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
333 @case '$?' in \
334 *config.status*) \
335 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
336 *) \
337 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
338 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
339 esac;
341 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
342 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
344 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
345 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
346 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
347 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
348 $(am__aclocal_m4_deps):
349 testsuite_flags: $(top_builddir)/config.status $(srcdir)/testsuite_flags.in
350 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
352 mostlyclean-libtool:
353 -rm -f *.lo
355 clean-libtool:
356 -rm -rf .libs _libs
357 tags TAGS:
359 ctags CTAGS:
361 cscope cscopelist:
363 check-am: all-am
364 check: check-am
365 all-am: Makefile
366 installdirs:
367 install: install-am
368 install-exec: install-exec-am
369 install-data: install-data-am
370 uninstall: uninstall-am
372 install-am: all-am
373 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
375 installcheck: installcheck-am
376 install-strip:
377 if test -z '$(STRIP)'; then \
378 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
379 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
380 install; \
381 else \
382 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
383 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
384 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
386 mostlyclean-generic:
388 clean-generic:
389 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
391 distclean-generic:
392 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
393 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
395 maintainer-clean-generic:
396 @echo "This command is intended for maintainers to use"
397 @echo "it deletes files that may require special tools to rebuild."
398 clean: clean-am
400 clean-am: clean-generic clean-libtool clean-local mostlyclean-am
402 distclean: distclean-am
403 -rm -f Makefile
404 distclean-am: clean-am distclean-generic
406 dvi: dvi-am
408 dvi-am:
410 html: html-am
412 html-am:
414 info: info-am
416 info-am:
418 install-data-am:
420 install-dvi: install-dvi-am
422 install-dvi-am:
424 install-exec-am:
426 install-html: install-html-am
428 install-html-am:
430 install-info: install-info-am
432 install-info-am:
434 install-man:
436 install-pdf: install-pdf-am
438 install-pdf-am:
440 install-ps: install-ps-am
442 install-ps-am:
444 installcheck-am:
446 maintainer-clean: maintainer-clean-am
447 -rm -f Makefile
448 maintainer-clean-am: distclean-am maintainer-clean-generic
450 mostlyclean: mostlyclean-am
452 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
454 pdf: pdf-am
456 pdf-am:
458 ps: ps-am
460 ps-am:
462 uninstall-am:
464 .MAKE: install-am install-strip
466 .PHONY: all all-am check check-am clean clean-generic clean-libtool \
467 clean-local cscopelist-am ctags-am distclean distclean-generic \
468 distclean-libtool dvi dvi-am html html-am info info-am install \
469 install-am install-data install-data-am install-dvi \
470 install-dvi-am install-exec install-exec-am install-html \
471 install-html-am install-info install-info-am install-man \
472 install-pdf install-pdf-am install-ps install-ps-am \
473 install-strip installcheck installcheck-am installdirs \
474 maintainer-clean maintainer-clean-generic mostlyclean \
475 mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
476 tags-am uninstall uninstall-am
478 .PRECIOUS: Makefile
480 $(check_DEJAGNU_libphobos_targets): check-DEJAGNUlibphobos%: libphobos%/site.exp
482 site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG)
483 @echo 'Making a new site.exp file ...'
484 @echo '## these variables are automatically generated by make ##' >site.tmp
485 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
486 @echo '# edit the last section' >>site.tmp
487 @echo 'set srcdir "$(srcdir)"' >>site.tmp
488 @echo "set objdir `pwd`" >>site.tmp
489 @echo 'set build_alias "$(build_alias)"' >>site.tmp
490 @echo 'set build_triplet $(build_triplet)' >>site.tmp
491 @echo 'set host_alias "$(host_alias)"' >>site.tmp
492 @echo 'set host_triplet $(host_triplet)' >>site.tmp
493 @echo 'set target_alias "$(target_alias)"' >>site.tmp
494 @echo 'set target_triplet $(target_triplet)' >>site.tmp
495 @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \
496 echo "## Begin content included from file $$f. Do not modify. ##" \
497 && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \
498 && echo "## End content included from file $$f. ##" \
499 || exit 1; \
500 done >> site.tmp
501 @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp
502 @if test -f site.exp; then \
503 sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \
505 @-rm -f site.bak
506 @test ! -f site.exp || mv site.exp site.bak
507 @mv site.tmp site.exp
509 %/site.exp: site.exp
510 -@test -d $* || mkdir $*
511 @srcdir=`cd $(srcdir); ${PWD_COMMAND}`;
512 @objdir=`${PWD_COMMAND}`/$*; \
513 sed -e "s|^set srcdir .*$$|set srcdir $$srcdir|" \
514 -e "s|^set objdir .*$$|set objdir $$objdir|" \
515 site.exp > $*/site.exp.tmp
516 @-rm -f $*/site.bak
517 @test ! -f $*/site.exp || mv $*/site.exp $*/site.bak
518 @mv $*/site.exp.tmp $*/site.exp
520 # Run the testsuite in normal mode.
521 check-DEJAGNU $(check_DEJAGNU_libphobos_targets): check-DEJAGNU%: site.exp
522 $(if $*,@)AR="$(AR)"; export AR; \
523 RANLIB="$(RANLIB)"; export RANLIB; \
524 if [ -z "$*" ] && [ -n "$(filter -j%, $(MFLAGS))" ]; then \
525 rm -rf libphobos-parallel || true; \
526 mkdir libphobos-parallel; \
527 $(MAKE) $(AM_MAKEFLAGS) $(check_DEJAGNU_libphobos_targets); \
528 rm -rf libphobos-parallel || true; \
529 for idx in $(check_p_subdirs); do \
530 if [ -d libphobos$$idx ]; then \
531 mv -f libphobos$$idx/libphobos.sum libphobos$$idx/libphobos.sum.sep; \
532 mv -f libphobos$$idx/libphobos.log libphobos$$idx/libphobos.log.sep; \
533 fi; \
534 done; \
535 $(SHELL) $(srcdir)/../../contrib/dg-extract-results.sh \
536 libphobos[0-9]*/libphobos.sum.sep > libphobos.sum; \
537 $(SHELL) $(srcdir)/../../contrib/dg-extract-results.sh -L \
538 libphobos[0-9]*/libphobos.log.sep > libphobos.log; \
539 exit 0; \
540 fi; \
541 srcdir=`$(am__cd) $(srcdir) && pwd`; export srcdir; \
542 EXPECT=$(EXPECT); export EXPECT; \
543 runtest=$(_RUNTEST); \
544 if [ -z "$$runtest" ]; then runtest=runtest; fi; \
545 tool=libphobos; \
546 if [ -n "$*" ]; then \
547 if [ -f libphobos-parallel/finished ]; then rm -rf "$*"; exit 0; fi; \
548 GCC_RUNTEST_PARALLELIZE_DIR=`${PWD_COMMAND}`/libphobos-parallel; \
549 export GCC_RUNTEST_PARALLELIZE_DIR; \
550 cd "$*"; \
551 fi; \
552 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
553 $$runtest $(AM_RUNTESTFLAGS) $(RUNTESTDEFAULTFLAGS) \
554 $(RUNTESTFLAGS); \
555 if [ -n "$*" ]; then \
556 touch $$GCC_RUNTEST_PARALLELIZE_DIR/finished; \
557 fi; \
558 else \
559 echo "WARNING: could not find \`runtest'" 1>&2; :;\
562 check-am:
563 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU
565 .PHONY: check-DEJAGNU
567 # To remove runtest-parallel directories.
568 clean-local:
569 rm -rf libphobos*
571 # Tell versions [3.59,3.63) of GNU make to not export all variables.
572 # Otherwise a system limit (for SysV at least) may be exceeded.
573 .NOEXPORT: